# -*- coding: utf-8 -*- 
# @Time    : 03/29/2024 
# @Author  : nzooherd 
# @File    : handle_context.py 
# @Software: Visual Studio Code


import contextvars

from nzooherd_pyzen.classes import Singleton

class HandleContext(metaclass=Singleton):

    user_id_var = contextvars.ContextVar('user_id')

    tx_session_var = contextvars.ContextVar('tx_session')


    def set_user_id(self, user_id):
        self.user_id_var.set(str(user_id))

    def get_user_id(self) -> str:
        return self.user_id_var.get()
    
    def set_tx_session(self, tx_session):
        self.tx_session_var.set(tx_session)

    def get_tx_session(self):
        return self.tx_session_var.get(None)
